Subject: Re: NTP and the MBone

From: [email-masked]
Date: Thu, 19 Jun 1997 14:41:39 -0700 (PDT)

> My feeling is that no site should be sending NTP *multicasts* outside
> their "site" ("link-local", "site-local", or "organization-local"
> should be the limits for the scope, in IPv6 multicasting-speak, but
> never "global").  Is this reasonable?  Or should stratum 1 servers
> multicast to the world?  (I notice only one of these sites is a
> stratum 1 server in the list that's going across the MBone today.)

I think it is reasonable, and useful/efficient actually, 
for some stratum 1 servers to multicast to the world.
I'm not an NTP expert, but, xntpd seems to be smart 
enough to select the best possible source to synchronize
with, and multicast is an efficient way for a stratum 1
to reach lots of other hosts.  And, sometimes the global
multicast servers appear to be better sources than the
local server anyway.  Also, I believe that the way xntpd works,
having several sources helps guard against a single node
failure (e.g. somebody doesn't notice that the hardware
clock on a stratum 1 is broken and the CPU clock has been
running free for weeks or months and is now many seconds off.)

In other words, it appears to me that often, a few multicast 
ntp servers will provide better overall time than the usual 
multi-level arrangement that may leave hosts at stratum 3 or 4.
(This is one of those YMMV things.)

OTOH, I don't think that everyone in the world should do it,
only bona-fide stratum 1 servers with GPS-based clocks.  
Right now, there a several stratum 2 and 3 multicast sources 
out there...

Of the hosts out there doing it now, probably only 
"rackety.udel.edu" should be doing it, and the rest 
should probably limit TTL to within their site.  
Somebody should point it out to those sites, since
they may not be doing it on purpose.  But, it might 
actually be nice if some other stratum 1 servers 

> I would guess the only way around this is to add some "restrict" lines
> to my multicast client's configuration files, to ignore anyone not on
> the local subnet?  Or should NTP default to only accept multicasts
> from hosts on the local net?

I don't understand the real problem.  The current multicast 
ntp packet rate is only 1 packet every 3-4 seconds, anyway.  
If the local multicast cloud is Mbone connected, you get a 
little extra multicast traffic over your WAN link, although 
it isn't that much, really.  (~25 bytes/sec?).  If the Mbone 
connection is disabled, then the multicast won't flow over the WAN.  
xntpd is supposed to discard all but the best sources, so there is 
no harm in having several multicast sources.  

Of course, others may disagree with me.

-Hugh LaMaster

  Hugh LaMaster, M/S 258-5,     ASCII Email:  [email-masked]
  NASA Ames Research Center     Or:           [email-masked]
  Moffett Field, CA 94035-1000  No Junkmail:  USC 18 section 2701
  Phone:  415/604-1056          Disclaimer:   Unofficial, personal *opinion*.